summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAidan Harris <me@aidanharris.io>2019-03-26 17:47:44 +0000
committerMatthew Thode <prometheanfire@gentoo.org>2019-03-26 21:10:17 -0500
commit6747bb3076a52389d8dd8fa173cf2abc1dd1774b (patch)
treec79714857ca0a1b212026c6ca425e3ed369b3839
parentprofiles: linux/arm64: mask test USE flag dev-python/kazoo (diff)
downloadgentoo-6747bb3076a52389d8dd8fa173cf2abc1dd1774b.tar.gz
gentoo-6747bb3076a52389d8dd8fa173cf2abc1dd1774b.tar.bz2
gentoo-6747bb3076a52389d8dd8fa173cf2abc1dd1774b.zip
dev-libs/bemenu: Update for upstream build changes
Fixes: https://bugs.gentoo.org/681808 Signed-off-by: Aidan Harris <me@aidanharris.io> Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
-rw-r--r--dev-libs/bemenu/bemenu-9999.ebuild35
1 files changed, 25 insertions, 10 deletions
diff --git a/dev-libs/bemenu/bemenu-9999.ebuild b/dev-libs/bemenu/bemenu-9999.ebuild
index 1bfa5ce8fae..f9113da669b 100644
--- a/dev-libs/bemenu/bemenu-9999.ebuild
+++ b/dev-libs/bemenu/bemenu-9999.ebuild
@@ -12,22 +12,37 @@ EGIT_REPO_URI="https://github.com/Cloudef/bemenu.git"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
-IUSE="doc"
+IUSE="doc ncurses wayland X"
+
+# Require at least one backend be built
+REQUIRED_USE="|| ( ncurses wayland X )"
DEPEND="
- x11-libs/cairo
- x11-libs/pango
- dev-libs/wayland
- x11-libs/libxcb
- dev-libs/wayland-protocols
- sys-libs/ncurses:0
- x11-libs/libXext
- x11-libs/libX11"
+ ncurses? ( sys-libs/ncurses:0 )
+ wayland? (
+ dev-libs/wayland
+ dev-libs/wayland-protocols
+ x11-libs/cairo
+ x11-libs/pango
+ )
+ X? (
+ x11-libs/libxcb
+ x11-libs/libXext
+ x11-libs/libX11
+ x11-libs/cairo[X]
+ x11-libs/pango[X]
+ )
+"
RDEPEND="${DEPEND}"
BDEPEND="doc? ( app-doc/doxygen )"
src_configure() {
- local mycmakeargs=(-DCURSES_LIBRARY=/usr/$(get_libdir)/libncursesw.so)
+ local mycmakeargs=(
+ -DCURSES_LIBRARY=/usr/$(get_libdir)/libncursesw.so
+ -DBEMENU_CURSES_RENDERER=$(usex ncurses ON OFF)
+ -DBEMENU_WAYLAND_RENDERER=$(usex wayland ON OFF)
+ -DBEMENU_X11_RENDERER=$(usex X ON OFF)
+ )
cmake-utils_src_configure
}